From 27eb0f3116921492e183ad3aa685ddb147ed7183 Mon Sep 17 00:00:00 2001
From: Gwyn Ciesla <gwync@protonmail.com>
Date: Thu, 23 Feb 2023 08:56:27 -0600
Subject: [PATCH] gcc13 fixes

---
 lib/graphics_engine/include/vk_mem_alloc.h            | 2 ++
 lib/graphics_engine/src/ge_vulkan_command_loader.cpp  | 1 +
 lib/graphics_engine/src/ge_vulkan_depth_texture.cpp   | 2 ++
 lib/graphics_engine/src/ge_vulkan_mesh_cache.cpp      | 1 +
 lib/graphics_engine/src/ge_vulkan_skybox_renderer.cpp | 1 +
 5 files changed, 7 insertions(+)

diff --git a/lib/graphics_engine/include/vk_mem_alloc.h b/lib/graphics_engine/include/vk_mem_alloc.h
index d4b683a7551..ac82aedb15b 100644
--- a/lib/graphics_engine/include/vk_mem_alloc.h
+++ b/lib/graphics_engine/include/vk_mem_alloc.h
@@ -20,6 +20,8 @@
 // THE SOFTWARE.
 //
 
+#include <cstdio>
+
 #ifndef AMD_VULKAN_MEMORY_ALLOCATOR_H
 #define AMD_VULKAN_MEMORY_ALLOCATOR_H
 
diff --git a/lib/graphics_engine/src/ge_vulkan_command_loader.cpp b/lib/graphics_engine/src/ge_vulkan_command_loader.cpp
index a1e5b3a71b8..13cadd63daf 100644
--- a/lib/graphics_engine/src/ge_vulkan_command_loader.cpp
+++ b/lib/graphics_engine/src/ge_vulkan_command_loader.cpp
@@ -10,6 +10,7 @@
 #include <mutex>
 #include <stdexcept>
 #include <thread>
+#include <stdexcept>
 
 #include "../source/Irrlicht/os.h"
 
diff --git a/lib/graphics_engine/src/ge_vulkan_depth_texture.cpp b/lib/graphics_engine/src/ge_vulkan_depth_texture.cpp
index 4a5d3d391b1..0411c617df6 100644
--- a/lib/graphics_engine/src/ge_vulkan_depth_texture.cpp
+++ b/lib/graphics_engine/src/ge_vulkan_depth_texture.cpp
@@ -1,3 +1,5 @@
+#include <stdexcept>
+
 #include "ge_vulkan_depth_texture.hpp"
 
 #include "ge_main.hpp"
diff --git a/lib/graphics_engine/src/ge_vulkan_mesh_cache.cpp b/lib/graphics_engine/src/ge_vulkan_mesh_cache.cpp
index f510f91813a..a821ee4a962 100644
--- a/lib/graphics_engine/src/ge_vulkan_mesh_cache.cpp
+++ b/lib/graphics_engine/src/ge_vulkan_mesh_cache.cpp
@@ -12,6 +12,7 @@
 #include <cassert>
 #include <stdexcept>
 #include <vector>
+#include <stdexcept>
 
 namespace GE
 {
diff --git a/lib/graphics_engine/src/ge_vulkan_skybox_renderer.cpp b/lib/graphics_engine/src/ge_vulkan_skybox_renderer.cpp
index fe7fcc45515..82977f00785 100644
--- a/lib/graphics_engine/src/ge_vulkan_skybox_renderer.cpp
+++ b/lib/graphics_engine/src/ge_vulkan_skybox_renderer.cpp
@@ -13,6 +13,7 @@
 #include <cstdint>
 #include <stdexcept>
 #include <unordered_map>
+#include <stdexcept>
 
 namespace GE
 {
